Bug 1126083 - 404 on .treeinfo or treeinfo generates log message with ERROR instead of INFO
Summary: 404 on .treeinfo or treeinfo generates log message with ERROR instead of INFO
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: rpm-support
Version: 2.4 Beta
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 2.4.1
Assignee: Michael Hrivnak
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 20:21 UTC by Mike McCune
Modified: 2014-09-23 17:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-23 17:54:22 UTC


Attachments (Terms of Use)

Description Mike McCune 2014-08-01 20:21:24 UTC
When syncing a repo that doesn't contain treeinfo files (which can be very common since most repos don't have treeinfo files) the log gets a message with level ERROR instead of INFO:


 Aug  1 19:35:30 tstr000005 pulp: nectar.downloaders.threaded:ERROR: Download of https://cdn.redhat.com/content/dist/rhel/server/6/6Server/x86_64/kickstart/.treeinfo failed with code 404: Not Found

This causes confusion during debugging as admins assume this means something isn't working right or there is an issue with the content.  If this could just be moved to INFO level it would be more indicative of the situation.

Comment 1 Michael Hrivnak 2014-08-01 20:23:14 UTC
https://github.com/pulp/nectar/pull/20

Comment 2 Chris Duryee 2014-08-25 19:07:00 UTC
Fixing state to 2.4.1/ON_QA, this was included with some other changes

Comment 4 Preethi Thomas 2014-08-26 14:52:23 UTC
verified

No error in the log because of the missing treeinfo files

[root@cloud-qe-6 ~]# rpm -qa |grep nectar
python-nectar-1.3.1-1.el6.noarch
[root@cloud-qe-6 ~]#

Comment 5 Randy Barlow 2014-09-23 17:54:22 UTC
This is fixed in Pulp-2.4.1-1.


Note You need to log in before you can comment on or make changes to this bug.